# config/packages/knpu_oauth2_client.yaml
knpu_oauth2_client:
    clients:
        keycloak:
            type: generic
            provider_class: Stevenmaguire\OAuth2\Client\Provider\Keycloak
            client_id: "%env(OIDC_CLIENT_ID)%"
            client_secret: "%env(OIDC_CLIENT_SECRET)%"
            redirect_route: app_oauth_check
            use_state: true

            provider_options:
                authServerUrl: "%env(OIDC_AUTH_SERVER_URL)%" # Base Keycloak URL
                realm: "%env(OIDC_REALM)%" # Realm
                openid: true
                scope: "openid profile email"
